Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class Matrix4fType

    java.lang.Object
      de.grogra.reflect.MemberDecorator
          de.grogra.reflect.TypeDecorator
              de.grogra.persistence.ManageableType
                  de.grogra.persistence.SCOType
                      de.grogra.math.Matrix4fType

All Implemented Interfaces:
  Member, Type

    public class Matrix4fType

extends SCOType

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.persistence.SCOType
`SCOType.Field`

Nested classes/interfaces inherited from class de.grogra.persistence.ManageableType
`ManageableType.ArrayComponent`

Field Summary
`static Matrix4fType` | `$TYPE`
`protected static int` | `FIELD_COUNT`
`static SCOType.Field` | `m00$FIELD`
`static SCOType.Field` | `m01$FIELD`
`static SCOType.Field` | `m02$FIELD`
`static SCOType.Field` | `m03$FIELD`
`static SCOType.Field` | `m10$FIELD`
`static SCOType.Field` | `m11$FIELD`
`static SCOType.Field` | `m12$FIELD`
`static SCOType.Field` | `m13$FIELD`
`static SCOType.Field` | `m20$FIELD`
`static SCOType.Field` | `m21$FIELD`
`static SCOType.Field` | `m22$FIELD`
`static SCOType.Field` | `m23$FIELD`
`static SCOType.Field` | `m30$FIELD`
`static SCOType.Field` | `m31$FIELD`
`static SCOType.Field` | `m32$FIELD`
`static SCOType.Field` | `m33$FIELD`

Fields inherited from class de.grogra.persistence.SCOType
`representative`

Fields inherited from class de.grogra.persistence.ManageableType
`FIELD_NAME_SERIALIZATION, FIELD_NODE_SERIALIZATION, finished, LIST_SERIALIZATION`

Fields inherited from interface de.grogra.reflect.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, FLOATING_POINT, INT, INTEGRAL, INVALID, LOCAL_CLASS_MODIFIERS, LONG, MEMBER_CLASS_MODIFIERS, MEMBER_INTERFACE_MODIFIERS, NULL, NUMBER, NUMERIC, OBJECT, SHORT, STRING, TEXTAREA, TOP_LEVEL_CLASS_MODIFIERS, TOP_LEVEL_INTERFACE_MODIFIERS, TYPE, TYPE_0, VOID`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`Matrix4fType(java.lang.Class c, SCOType supertype)`
`Matrix4fType(Matrix4f representative, SCOType supertype)`

Method Summary
`protected java.lang.Object` | `cloneNonsharedObject(java.lang.Object o, boolean deep)`
`protected float` | `getFloat(java.lang.Object o, int id)`
`protected java.lang.Object` | `newInstance(java.lang.Object repr)`
`protected void` | `setFloat(java.lang.Object o, int id, float value)`

Methods inherited from class de.grogra.persistence.SCOType
`addManagedField, addManagedField, getBoolean, getByte, getChar, getDouble, getInt, getLong, getObject, getRepresentative, getShort, isWritable, newInstance, setBoolean, setByte, setChar, setDouble, setInt, setLong, setObject, setShort, validate`

Methods inherited from class de.grogra.persistence.ManageableType
`addManagedField, cloneManageable, cloneObject, cloneObject, forClass, forName, forType, getFCOFields, getManageableSupertype, getManagedField, getManagedField, getManagedFieldCount, getSerializationMethod, getSupertype, isAssignableFrom, isSerializable, read, readObject, replaceType, resolveAliasField, setObject, setSerializable, setSerializationMethod, write`

Methods inherited from class de.grogra.reflect.TypeDecorator
`createArray, getArrayType, getBinaryName, getComponentType, getDeclaredField, getDeclaredFieldCount, getDeclaredInterface, getDeclaredInterfaceCount, getDeclaredMethod, getDeclaredMethodCount, getDeclaredType, getDeclaredTypeCount, getDefaultElementValue, getImplementationClass, getLookup, getPackage, getTypeId, getTypeLoader, isInstance, isStringSerializable, toString, undecorate, valueOf`

Methods inherited from class de.grogra.reflect.MemberDecorator
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDecoratedMember, getDescriptor, getModifiers, getName, getSimpleName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Field Detail

### $TYPE

    public static final Matrix4fType $TYPE

### FIELD_COUNT

    protected static final int FIELD_COUNT

See Also:
  Constant Field Values

### m00$FIELD

    public static final SCOType.Field m00$FIELD

### m01$FIELD

    public static final SCOType.Field m01$FIELD

### m02$FIELD

    public static final SCOType.Field m02$FIELD

### m03$FIELD

    public static final SCOType.Field m03$FIELD

### m10$FIELD

    public static final SCOType.Field m10$FIELD

### m11$FIELD

    public static final SCOType.Field m11$FIELD

### m12$FIELD

    public static final SCOType.Field m12$FIELD

### m13$FIELD

    public static final SCOType.Field m13$FIELD

### m20$FIELD

    public static final SCOType.Field m20$FIELD

### m21$FIELD

    public static final SCOType.Field m21$FIELD

### m22$FIELD

    public static final SCOType.Field m22$FIELD

### m23$FIELD

    public static final SCOType.Field m23$FIELD

### m30$FIELD

    public static final SCOType.Field m30$FIELD

### m31$FIELD

    public static final SCOType.Field m31$FIELD

### m32$FIELD

    public static final SCOType.Field m32$FIELD

### m33$FIELD

    public static final SCOType.Field m33$FIELD

Constructor Detail

### Matrix4fType

    public Matrix4fType(java.lang.Class c,
                        SCOType supertype)

### Matrix4fType

    public Matrix4fType(Matrix4f representative,
                        SCOType supertype)

Method Detail

### cloneNonsharedObject

    protected java.lang.Object cloneNonsharedObject(java.lang.Object o,
                                                    boolean deep)

  Overrides:
    `cloneNonsharedObject` in class `ManageableType`

### getFloat

    protected float getFloat(java.lang.Object o,
                             int id)

  Overrides:
    `getFloat` in class `SCOType`

### newInstance

    protected java.lang.Object newInstance(java.lang.Object repr)

  Overrides:
    `newInstance` in class `SCOType`

### setFloat

    protected void setFloat(java.lang.Object o,
                            int id,
                            float value)

  Overrides:
    `setFloat` in class `SCOType`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD